Package com.collibra.dgc.core.api.dto.meta.relationtype

# Class ChangeRelationTypeRequest

Object
ChangeRelationTypeRequest

All Implemented Interfaces:
  `Serializable`

public class ChangeRelationTypeRequest extends Object implements Serializable
The properties of the Relation Type to be changed.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `ChangeRelationTypeRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChangeRelationTypeRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ChangeRelationTypeRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `String`
  `getCoRole()`
  The new name of the role that the target plays.
  `String`
  `getDescription()`
  The new description of the Relation Type.
  `UUID`
  `getId()`
  Required. The ID of the Relation Type to be changed.
  `String`
  `getPublicId()`
  The new public id for the Relation Type.
  `String`
  `getRole()`
  The new name of the role that the source plays.
  `UUID`
  `getSourceTypeId()`
  Deprecated.
  The new source type ID will be removed in the future.
  `UUID`
  `getTargetTypeId()`
  Deprecated.
  The new target type ID will be removed in the future.
  `int`
  `hashCode()`
  `void`
  `setCoRole(String coRole)`
  The new name of the role that the target plays.
  `void`
  `setDescription(String description)`
  The new description of the Relation Type.
  `void`
  `setId(UUID id)`
  Required. The ID of the Relation Type to be changed.
  `void`
  `setPublicId(String publicId)`
  The new public id for the Relation Type.
  `void`
  `setRole(String role)`
  The new name of the role that the source plays.
  `void`
  `setSourceTypeId(UUID sourceTypeId)`
  Deprecated.
  The new source type ID will be removed in the future.
  `void`
  `setTargetTypeId(UUID targetTypeId)`
  Deprecated.
  The new target type ID will be removed in the future.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ChangeRelationTypeRequest

    public ChangeRelationTypeRequest()

- ## Method Details

  - ### builder

    public static ChangeRelationTypeRequest.Builder builder()

  - ### getId

    public UUID getId()
    Required. The ID of the Relation Type to be changed.

  - ### getPublicId

    public String getPublicId()
    The new public id for the Relation Type.

    It must be unique within all Relation Types. It should contain only ASCII letters and digits. It must start with an uppercase ASCII character. It must end with "_C".

    WARNING : The public id should only be changed with extreme caution, since it can break existing customizations. The only valid use case is to change it after creation of the type, if no public id was specified, and the generated proposal is not acceptable.

  - ### getSourceTypeId

    @Deprecated public UUID getSourceTypeId()
    Deprecated.
    The new source type ID will be removed in the future.
    The ID of the new source type for the Relation Type.

  - ### getRole

    public String getRole()
    The new name of the role that the source plays.

  - ### getTargetTypeId

    @Deprecated public UUID getTargetTypeId()
    Deprecated.
    The new target type ID will be removed in the future.
    The ID of the new target type for the Relation Type.

  - ### getCoRole

    public String getCoRole()
    The new name of the role that the target plays.

  - ### getDescription

    public String getDescription()
    The new description of the Relation Type.

  - ### setId

    public void setId(UUID id)
    Required. The ID of the Relation Type to be changed.

  - ### setPublicId

    public void setPublicId(String publicId)
    The new public id for the Relation Type.

    It must be unique within all Relation Types. It should contain only ASCII letters and digits. It must start with an uppercase ASCII character. It must end with "_C".

    WARNING : The public id should only be changed with extreme caution, since it can break existing customizations. The only valid use case is to change it after creation of the type, if no public id was specified, and the generated proposal is not acceptable.

  - ### setSourceTypeId

    @Deprecated public void setSourceTypeId(UUID sourceTypeId)
    Deprecated.
    The new source type ID will be removed in the future.
    The ID of the new source type for the Relation Type.

  - ### setRole

    public void setRole(String role)
    The new name of the role that the source plays.

  - ### setTargetTypeId

    @Deprecated public void setTargetTypeId(UUID targetTypeId)
    Deprecated.
    The new target type ID will be removed in the future.
    The ID of the new target type for the Relation Type.

  - ### setCoRole

    public void setCoRole(String coRole)
    The new name of the role that the target plays.

  - ### setDescription

    public void setDescription(String description)
    The new description of the Relation Type.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`